#!/usr/bin/env python

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# Copyright 2009 Chris Oliver

__appname__ = "keryx"
__version__ = "1.0.0"

import logging
#logging.basicConfig(level=logging.DEBUG)

dir_download = 'downloads'  # Needs to go in consts?

class KeryxLauncher:
    def __init__(self):
        from cli import InteractiveCLI
        cli = InteractiveCLI()
        cli.main()        
        # Determine which interface to run

if __name__ == "__main__": 
    keryx = KeryxLauncher()

